Package org.jboss.resteasy.utils

## Class TestApplication

- java.lang.Object
- - javax.ws.rs.core.Application
  - - org.jboss.resteasy.utils.TestApplication

-     @Provider
      @ApplicationPath("/")
      public class TestApplication
      extends javax.ws.rs.core.Application

  Base class used from deployment.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Set<Class<?>>` | `classes` |
    `static Set<Object>` | `singletons` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TestApplication()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Set<Class<?>>` | `getClasses()` |
    `static String[]` | `getClassesFromDeployment​(String name)` | Load resources from classes.txt file from deployment
    `Set<Object>` | `getSingletons()` |

    - ### Methods inherited from class javax.ws.rs.core.Application

      `getProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### classes

          public static Set<Class<?>> classes

    - #### singletons

          public static Set<Object> singletons

  - ### Constructor Detail

    - #### TestApplication

          public TestApplication()

  - ### Method Detail

    - #### getClassesFromDeployment

          public static String[] getClassesFromDeployment​(String name)

      Load resources from classes.txt file from deployment
      Returns:
        Array of class names.

    - #### getClasses

          public Set<Class<?>> getClasses()

      Overrides:
        `getClasses` in class `javax.ws.rs.core.Application`
      See Also:
        `Application.getClasses()`

    - #### getSingletons

          public Set<Object> getSingletons()

      Overrides:
        `getSingletons` in class `javax.ws.rs.core.Application`
      See Also:
        `Application.getSingletons()`